﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace jQueryMobile_List_Rating.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index(string theme = "ios")
        {
            ViewBag.Message = "customer contacts";
            ViewBag.Theme = theme;
            return View();
        }

        public ActionResult Theme()
        {
            return View();
        }

        public JsonResult Customers()
        {
            Models.NorthwindEntities nw = new Models.NorthwindEntities();
            return Json(nw.Customers, JsonRequestBehavior.AllowGet);
        }

        public JsonResult Orders(string path)
        {
            string customerId = path.Split(':').Last();
            Models.NorthwindEntities nw = new Models.NorthwindEntities();
            return Json(nw.Orders.Where(x => x.CustomerID == customerId), JsonRequestBehavior.AllowGet);
        }
        

        public ActionResult Rate()
        {
            return View();
        }
    }
}
